package com.winhc.dataworks.flow.touch;

import com.helospark.lightdi.LightDi;
import com.helospark.lightdi.LightDiContext;
import com.helospark.lightdi.annotation.Autowired;
import com.helospark.lightdi.annotation.Component;
import com.winhc.dataworks.flow.touch.service.OdpsService;
import com.winhc.dataworks.flow.touch.utils.DateUtils;

import java.util.List;

/**
 * @Author: XuJiakai
 * @Date: 2020/7/6 18:24
 * @Description:
 */
@Component
public class EmptyTable {
    public static void main(String[] args) {
        LightDiContext context = LightDi.initContextByPackage(Main.class.getPackage().getName());
        EmptyTable bean = context.getBean(EmptyTable.class);
        bean.start();
    }

    @Autowired
    private OdpsService odpsService;

    private void start() {
        List<String> emptyTable = odpsService.getNotEmptyTable(DateUtils.getYesterday().replace("-", ""));
        System.out.println(emptyTable.size());
        emptyTable.forEach(System.out::println);
    }
}
