package com.winhc.dataworks.flow.touch.configuration;

import com.helospark.lightdi.annotation.Configuration;
import com.helospark.lightdi.annotation.PropertySource;
import com.helospark.lightdi.annotation.Value;
import lombok.Data;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/8 15:56
 * @Description:
 */
@Data
@PropertySource("classpath:dataworks-config.properties")
@Configuration
public class DataWorksAccessProperties {
    @Value("${access-key-id}")
    private String accessKeyId;
    @Value("${access-key-secret}")
    private String accessKeySecret;
    @Value("${region-id}")
    private String regionId;
}
