package com.winhc.dataworks.flow.touch.bean;

import com.winhc.dataworks.flow.touch.utils.JsonUtils;
import lombok.*;

import java.util.List;

/**
 * @Author: XuJiakai
 * @Date: 2020/6/24 08:49
 * @Description:
 */
@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DataWorksFlowJob {
    private String project;
    private String flow;
    private List<DataWorksFlowTask> task;

    @Override
    public String toString() {
        return JsonUtils.jsonObjToString(this);
    }
}
