package com.winhc.dataworks.flow.touch.bean;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;
import java.time.temporal.ChronoUnit;

/**
 * @Author: XuJiakai
 * @Date: 2020/8/5 15:44
 * @Description:
 */
@Getter
@Setter
@AllArgsConstructor
public class SparkJobInfo {
    private LocalDateTime startTime;
    private String instanceId;
    private String state;
    private String runningMode;
    private String applicationName;

    public Long runningMinutes() {
        return ChronoUnit.MINUTES.between(startTime, LocalDateTime.now());
    }
}
