package com.winhc.dataworks.flow.touch.service;

import com.helospark.lightdi.annotation.Autowired;
import com.helospark.lightdi.annotation.Service;
import com.winhc.dataworks.flow.touch.utils.DateUtils;
import com.winhc.dataworks.flow.touch.utils.OkHttpUtils;
import lombok.extern.slf4j.Slf4j;

/**
 * @Author: XuJiakai
 * @Date: 2020/8/27 19:09
 * @Description:
 */
@Slf4j
@Service
public class SendJobStatus {

    @Autowired
    OkHttpUtils okHttpUtils;

    public Boolean sendJobStatus() {
        try {
            String url = String.format("http://47.101.221.131:8085/job-status/set?job_status=END&job_type_id=company_dynamic&date=%s", DateUtils.getMinusDay(0));
            String res = okHttpUtils.get(url);
            log.info("send job status: {}", res);
            return "ok".equals(res);
        } catch (Exception e) {
            log.error(e.getMessage(), e);
            return false;
        }

    }
}
